#!/usr/bin/env python3

from setuptools import setup, find_packages


def parse_requirements():
    reqs = []
    with open("requirements.txt", "r") as handle:
        for line in handle:
            reqs.append(line)
    return reqs


setup(
    name="arkose_prometheus",
    version="0.1",
    description="Plug arkose occupation gauges into Prometheus",
    author="tobast",
    author_email="contact@tobast.fr",
    license="LICENSE",
    url="https://git.tobast.fr/tobast/arkose_prometheus",
    packages=find_packages(),
    include_package_data=True,
    long_description=open("README.md").read(),
    install_requires=parse_requirements(),
    entry_points={
        "console_scripts": [
            ("prometheus-arkose = arkose_prometheus:main"),
        ]
    },
)
